<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime</groupId>
    <artifactId>core</artifactId>
    <version>1.10.1</version>
  </parent>
  <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
  <artifactId>artifact-management-extensions</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: PLATFORM :: CORE :: ARTIFACT MANAGEMENT EXTENSIONS</name>
  <description>ENTAXY :: PLATFORM :: CORE :: ARTIFACT MANAGEMENT EXTENSIONS</description>
  
  <properties>
	  <bundle.osgi.export.pkg>
		ru.entaxy.platform.core.artifact.ext.binary,
		ru.entaxy.platform.core.artifact.ext.features,
		ru.entaxy.platform.core.artifact.ext.impl,	  
		ru.entaxy.platform.core.artifact.ext	  
	  </bundle.osgi.export.pkg>
	  <bundle.osgi.private.pkg>
		ru.entaxy.platform.core.artifact.ext.internal,
		ru.entaxy.platform.core.artifact.ext.features.impl	  
	  </bundle.osgi.private.pkg>
  </properties>
  
  <dependencies>

	  <dependency>
	  	<groupId>ru.entaxy.esb.platform.runtime.core</groupId>
	  	<artifactId>artifact-management</artifactId>
	  	<version>${project.version}</version>
	  </dependency>
	  <dependency>
	  	<groupId>commons-io</groupId>
	  	<artifactId>commons-io</artifactId>
	  	<version>${commons-io.version}</version>
	  </dependency>
	  <dependency>
	  	<groupId>org.apache.karaf.features</groupId>
	  	<artifactId>org.apache.karaf.features.core</artifactId>
	  	<version>${karaf.version}</version>
	  </dependency>
	  <dependency>
	  	<groupId>org.apache.karaf.cellar</groupId>
	  	<artifactId>org.apache.karaf.cellar.features</artifactId>
	  	<version>${cellar.version}</version>
	  </dependency>
	  <dependency>
		  <groupId>ru.entaxy.esb.platform.runtime.base</groupId>
		  <artifactId>cellar-extensions</artifactId>
	    	<version>${project.version}</version>
	  </dependency>
  </dependencies>
  
</project>
